Redmine - Defect #18376

Encoding timelog_csv export utf-8
2014-11-18 20:16 - Lukyanchenko Roman

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 2.6.0
Description

Hi all

Problems export timelog csv format russian language. text is displayed: "RyuRsR "SHR - RsRIR ° S,RuR" SH"
OS-Centos 6.6

Environment:

Redmine version 2.6.0.stable

Ruby version 2.1.5-p273 (2014-11-13) [x86_64-linux]
Rails version 3.2.19

Environment production

Database adapter Mysql2

mysql> show variables like "character_set_database";
+ | Variable_name | Value |
+ | character_set_database | utf8 |

!
+

1 row in set (0.00 sec)

mysql>

file ./config//locales/ru.yml| set general_csv_encoding: UTF-8

History

#1 - 2014-11-18 23:46 - Toshi MARUYAMA

- Status changed from New to Needs feedback

http://stackoverflow.com/questions/3513773/change-mysql-default-character-set-to-utf-8-in-my-cnf/10866836

#2 - 2014-11-18 23:52 - Toshi MARUYAMA
http://www.redmine.org/boards/1/topics/36573?r=36629#message-36629

#3 - 2014-11-18 23:53 - Toshi MARUYAMA
http://www.redmine.org/boards/2/topics/35979?r=36082#message-36082

#4 - 2014-11-20 20:21 - Lukyanchenko Roman

Thank you! The base was originally made in the encoding UTF-8. | did database dump, and in it | see Russian letters correctly.

| added in my.cnf settings that were in your links. | even tried to convert the database. All the same, when exporting to the csv, | see ANSI character
set, in other words all the same what | said initially.

#5 - 2014-11-21 03:42 - Toshi MARUYAMA
Do you really use Russian locale in user preference?

Is ANSI Windows-12517?

#6 - 2014-11-21 05:39 - Lukyanchenko Roman

Thank you, you gave me the idea. You're right, it's all about in the user software. | opened the file in MS Excel and there were problems.

2025-06-18 1/2



http://stackoverflow.com/questions/3513773/change-mysql-default-character-set-to-utf-8-in-my-cnf/10866836
http://www.redmine.org/boards/1/topics/36573?r=36629#message-36629
http://www.redmine.org/boards/2/topics/35979?r=36082#message-36082

Now this file is opened in Notepad, and everything is fine! no problems

Thanks again for the help! You can close the topic.

#7 - 2014-11-21 05:41 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
